Module | Locale::Driver::CGI
In: | lib/locale/driver/cgi.rb

### Methods

charset clear_current_request locales set_request

### Public Instance methods

charset()

Gets the charset from CGI parameters. (Based on RFC2616)

     * Returns: the charset (HTTP_ACCEPT_CHARSET or nil).

clear_current_request()

Clear the current request.

locales()

Gets required locales from CGI parameters. (Based on RFC2616)

Returns: An Array of Locale::Tag’s subclasses

             (QUERY_STRING "lang" > COOKIE "lang" > HTTP_ACCEPT_LANGUAGE > "en")

set_request(query_langs, cookie_langs, accept_language, accept_charset)

Set a request.

- query_langs: An Array of QUERY_STRING value “lang”.
- cookie_langs: An Array of cookie value “lang”.
- accept_language: The value of HTTP_ACCEPT_LANGUAGE
- accept_charset: The value of HTTP_ACCEPT_CHARSET

[Validate]